## PhoshNotificationSource

PhoshNotificationSource — A GListModel containing one or more notifications

## Functions

PhoshNotificationSource * | phosh_notification_source_new ()
void | phosh_notification_source_add ()
const char * | phosh_notification_source_get_name ()

## Properties

char * | name | Read / Write / Construct Only

## Signals

void | empty | Run Last

## Types and Values

#define | PHOSH_TYPE_NOTIFICATION_SOURCE
| PhoshNotificationSource

## Object Hierarchy

        GObject
        ╰── PhoshNotificationSource

## Implemented Interfaces

PhoshNotificationSource implements GListModel.

## Description

A PhoshNotificationSource groups notifications. A source has a name which is usually the app_id of the sending application.

## Functions

### phosh_notification_source_new ()

    PhoshNotificationSource *
    phosh_notification_source_new (const char *name);

### phosh_notification_source_add ()

    void
    phosh_notification_source_add (PhoshNotificationSource *self,
                                   PhoshNotification *notification);

### phosh_notification_source_get_name ()

    const char *
    phosh_notification_source_get_name (PhoshNotificationSource *self);

## Types and Values

### PHOSH_TYPE_NOTIFICATION_SOURCE

    #define PHOSH_TYPE_NOTIFICATION_SOURCE (phosh_notification_source_get_type ())

### PhoshNotificationSource

    typedef struct _PhoshNotificationSource PhoshNotificationSource;

## Property Details

### The `“name”` property

      “name”                     char *

Source name (ID).

Owner: PhoshNotificationSource

Flags: Read / Write / Construct Only

Default value: NULL

## Signal Details

### The `“empty”` signal

    void
    user_function (PhoshNotificationSource *phoshnotificationsource,
                   gpointer                 user_data)

Flags: Run Last